import Client from './client';

export default class API {
  static apis = {};
  static mixin(obj) {
    for (let key in obj) {
      if (API.apis.hasOwnProperty(key)) {
        throw new Error('Don\'t allow override existed prototype method. method: '+ key);
      }
      API.apis[key] = obj[key];
    }
  }

  constructor() {
    this.authClient = new Client(1);
    this.apiClient = new Client(2);

    Object.keys(API.apis).forEach(key => {
      this[key] = API.apis[key].bind(this);
    });
  }
}
