import API from '../';

import chai, { expect } from 'chai';
import chaiAsPromised from 'chai-as-promised';

chai.use(chaiAsPromised);

describe('api_binding', () => {
  const api = new API();

  it('binding should ok', () => {
    return expect(api.binding(18701525584, 210529)
      .then(
        result => { console.log(result) },
        err => { console.error(err) }
      )).to.eventually.be.fulfilled;
  });

  it('checkBinding should ok', () => {
    return expect(api.checkBinding()
      .then(
        result => { console.log(result) },
        err => { console.error(err) }
      )).to.eventually.be.fulfilled;
  });
});
