import API from '../';

import { expect } from 'chai';

describe('api_common', () => {
  describe('mixin', () => {
    it('should ok', () => {
      API.mixin({ name: 'hello' });
      expect(API.apis).to.have.property('name');
    });

    it('should not ok when override method', () => {
      expect(() => {
        API.mixin({ name: 'hello' });
      }).to.throw(/Don't allow override existed prototype method\./);
    });
  });
});
